Fetch a Task definition.
Retrieve an existing task definition.
curl --request GET \
--url https://mycluster.domino.tech/flows/api/v1/tasks/{id.project}/{id.domain}/{id.name}/{id.version}import requests
url = "https://mycluster.domino.tech/flows/api/v1/tasks/{id.project}/{id.domain}/{id.name}/{id.version}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://mycluster.domino.tech/flows/api/v1/tasks/{id.project}/{id.domain}/{id.name}/{id.version}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"closure": {
"compiled_task": {
"template": {
"config": {},
"container": {
"architecture": "UNKNOWN",
"args": [
"<string>"
],
"command": [
"<string>"
],
"config": [
{
"key": "<string>",
"value": "<string>"
}
],
"data_config": {
"enabled": true,
"format": "JSON",
"input_path": "<string>",
"io_strategy": {
"download_mode": "DOWNLOAD_EAGER",
"upload_mode": "UPLOAD_ON_EXIT"
},
"output_path": "<string>"
},
"env": [
{
"key": "<string>",
"value": "<string>"
}
],
"image": "<string>",
"ports": [
{
"container_port": 123,
"name": "<string>"
}
],
"resources": {
"limits": [
{
"name": "UNKNOWN",
"value": "<string>"
}
],
"requests": [
{
"name": "UNKNOWN",
"value": "<string>"
}
]
}
},
"custom": {},
"extended_resources": {
"gpu_accelerator": {
"device": "<string>",
"partition_size": "<string>",
"unpartitioned": true
},
"shared_memory": {
"mount_name": "<string>",
"mount_path": "<string>",
"size_limit": "<string>"
}
},
"id": {
"domain": "<string>",
"name": "<string>",
"org": "<string>",
"project": "<string>",
"resource_type": "UNSPECIFIED",
"version": "<string>"
},
"interface": {
"inputs": {
"variables": {}
},
"outputs": {
"variables": {}
}
},
"k8s_pod": {
"data_config": {
"enabled": true,
"format": "JSON",
"input_path": "<string>",
"io_strategy": {
"download_mode": "DOWNLOAD_EAGER",
"upload_mode": "UPLOAD_ON_EXIT"
},
"output_path": "<string>"
},
"metadata": {
"annotations": {},
"labels": {}
},
"pod_spec": {},
"primary_container_name": "<string>"
},
"metadata": {
"cache_ignore_input_vars": [
"<string>"
],
"cache_serializable": true,
"deprecated_error_message": "<string>",
"discoverable": true,
"discovery_version": "<string>",
"generates_deck": true,
"interruptible": true,
"is_eager": true,
"metadata": {
"annotations": {},
"labels": {}
},
"pod_template_name": "<string>",
"retries": {
"retries": 123
},
"runtime": {
"flavor": "<string>",
"type": "OTHER",
"version": "<string>"
},
"tags": {},
"timeout": "<string>"
},
"security_context": {
"run_as": {
"execution_identity": "<string>",
"iam_role": "<string>",
"k8s_service_account": "<string>",
"oauth2_client": {
"client_id": "<string>",
"client_secret": {
"env_var": "<string>",
"group": "<string>",
"group_version": "<string>",
"key": "<string>",
"mount_requirement": "ANY"
}
}
},
"secrets": [
{
"env_var": "<string>",
"group": "<string>",
"group_version": "<string>",
"key": "<string>",
"mount_requirement": "ANY"
}
],
"tokens": [
{
"client": {
"client_id": "<string>",
"client_secret": {
"env_var": "<string>",
"group": "<string>",
"group_version": "<string>",
"key": "<string>",
"mount_requirement": "ANY"
}
},
"idp_discovery_endpoint": "<string>",
"name": "<string>",
"token_endpoint": "<string>",
"type": "CLIENT_CREDENTIALS"
}
]
},
"sql": {
"dialect": "UNDEFINED",
"statement": "<string>"
},
"task_type_version": 123,
"type": "<string>"
}
},
"created_at": "2023-11-07T05:31:56Z"
},
"id": {
"domain": "<string>",
"name": "<string>",
"org": "<string>",
"project": "<string>",
"resource_type": "UNSPECIFIED",
"version": "<string>"
},
"short_description": "<string>"
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}Path Parameters
Name of the project the resource belongs to.
Name of the domain the resource belongs to. A domain can be considered as a subset within a specific project.
User provided value for the resource.
Specific version of the resource.
Query Parameters
Identifies the specific type of resource that this identifier corresponds to.
- DATASET: A dataset represents an entity modeled in Flyte DataCatalog. A Dataset is also a versioned entity and can be a compilation of multiple individual objects. Eventually all Catalog objects should be modeled similar to Flyte Objects. The Dataset entities makes it possible for the UI and CLI to act on the objects in a similar manner to other Flyte objects
UNSPECIFIED, TASK, WORKFLOW, LAUNCH_PLAN, DATASET Optional, org key applied to the resource.
Response
A successful response.
Flyte workflows are composed of many ordered tasks. That is small, reusable, self-contained logical blocks arranged to process workflow inputs and produce a deterministic set of outputs. Tasks can come in many varieties tuned for specialized behavior.
Compute task attributes which include values derived from the TaskSpec, as well as plugin-specific data and task metadata.
Show child attributes
Show child attributes
Encapsulation of fields that uniquely identifies a Flyte resource.
Show child attributes
Show child attributes
One-liner overview of the entity.
Related topics
Fetch a list of Task definitions.Fetch a list of Task definitions (by name)Fetch a Workflow definition.Fetch a list of NamedEntityIdentifier of task objects.Was this page helpful?
